GNAT2XML(1)

NAME
gnat2xml - produces an XML representation of Ada sources

SYNOPSIS
gnat2xml [options] -P[project]

DESCRIPTION
The XML schemas respected by the output can be found in /usr/share/doc/asis-doc/ada-schema.compact.xsd and ada-schema.xsd if the asis-doc package is installed.

The reference documentation about gnat2xml, the GNAT User Guide, can unfortunately not be distributed by Debian due to license problems, but may be found in various formats at https://gcc.gnu.org/onlinedocs/. The --help option will list accepted options.

SEE ALSO
gnat(1), asistant(1), gnatcheck(1), gnatelim(1), gnatmetric(1), gnatpp(1), gnatstub(1), gnattest(1)